db5.3 (5.3.28+dfsg1-0.8deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Thu, 19 Sep 2024 22:44:34 +0800

db5.3 (5.3.28+dfsg1-0.8) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix address arithmetic in patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 05 Feb 2021 18:02:54 +0100

db5.3 (5.3.28+dfsg1-0.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patches for GCC 10 (Closes: #957124)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 29 Jan 2021 13:27:20 +0100

db5.3 (5.3.28+dfsg1-0.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop myself from uploaders.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 12 Mar 2019 04:16:54 +0000

db5.3 (5.3.28+dfsg1-0.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Update Vcs-*.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 26 Feb 2019 09:46:07 +0100

db5.3 (5.3.28+dfsg1-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Update the team email (Closes: #899921).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 26 Feb 2019 08:53:49 +0100

db5.3 (5.3.28+dfsg1-0.3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Use build profiles. (Closes: #869952)

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 31 Jan 2019 15:26:11 +0100

db5.3 (5.3.28+dfsg1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Re-enable Java bindings on m68k. (Closes: #906240)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Sun, 09 Sep 2018 09:33:40 +0200

db5.3 (5.3.28+dfsg1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Repack the .orig tarball to eliminate prebuilt binaries that need a
    Visual Studio plugin to build from source. (Closes: #898215)
  * Fix FTBFS with Java 9, thanks Markus Koschany. (Closes: #873976)
  * Fix FTBFS with Java 10 (bogus version detection).
  * Fix FTBFS with GCC-8 (__atomic_compare_exchange).

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 09 Aug 2018 01:12:06 +0200

db5.3 (5.3.28-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * CVE-2017-10140: Reads DB_CONFIG from the current working directory.
    Do not access DB_CONFIG when db_home is not set. (Closes: #872436)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 17 Aug 2017 14:35:22 +0200

db5.3 (5.3.28-13) unstable; urgency=medium

  * Use https url for Vcs-Browser
  * Bump debhelper compatibility level to 10
  * Disable building gcj (Courtesy of Emmanuel Bourg)
    (Closes: #865117, #672464)
  * Remove maintscript parameters from the maintscript
    (Closes: #839953)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 13 Jul 2017 09:09:25 +0200

db5.3 (5.3.28-12) unstable; urgency=medium

  * Fix FTBFS when built with dpkg-buildpackage -A (Closes: #806012)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 19 Jul 2016 08:41:48 +0200

db5.3 (5.3.28-11) unstable; urgency=medium

  * Fix gitweb URL (Closes: #793114)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 25 Aug 2015 14:36:25 +0200

db5.3 (5.3.28-10) unstable; urgency=medium

  * Update Berkeley DB Homepage (as it looks like the longer URL the better...)
  * Bump standards version to 3.9.6 (no change)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 25 Aug 2015 14:15:58 +0200

db5.3 (5.3.28-9) unstable; urgency=medium

  * Bump required debhelper version to 9.20141221~ to it correctly set
    ${misc:Pre-Depends}
  * Drop Build-Depends on dpkg-dev that's not needed

 -- Ondřej Surý <ondrej@debian.org>  Wed, 31 Dec 2014 08:57:18 +0100

db5.3 (5.3.28-8) unstable; urgency=medium

  * Force dpkg-dev to 1.17.22 to have correct Pre-Depends (Closes: #773806)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 30 Dec 2014 18:20:12 +0100

db5.3 (5.3.28-7) unstable; urgency=medium

  * Fix typo in libdb5.3-java.maintscript (Closes: #771877)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 04 Dec 2014 10:56:49 +0100

db5.3 (5.3.28-6) unstable; urgency=medium

  * Don't build java bindings on m68k (Closes: 719842)
  * Make libdb5.3-java binNMUable (Closes: #759041)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Aug 2014 11:58:18 +0200

db5.3 (5.3.28-5) unstable; urgency=medium

  [ Mauricio Faria de Oliveira ]
  * Run libtoolize in dist/ (to actually update dist/aclocal.m4) (Closes: #750481)
  * Run libtoolize and autoconf in lang/sql/sqlite/ (to build sqlite shared libraries),
    with autoconf performed by dist/s_config (patch: 008-autoconf-in-lang-sql-sqlite).
  * Accordingly, update the clean and override_dh_auto_configure targets.
  * Small fixes to the test-file/dir/exist operators and rmdir '-f' argument.

 -- Ondřej Surý <ondrej@debian.org>  Fri, 27 Jun 2014 10:15:00 +0200

db5.3 (5.3.28-4) unstable; urgency=medium

  * Add fix for ppc 64K pages needed for OpenLDAP (Courtesy of Cedric Le Goater)
  * Bump Berkeley DB version in the manpages (Closes: #741991)
  * Add dh_autoreconf call to support builds on new architectures
    (Closes: #750481)
  * Only install build_signature_*.txt when building it. (Closes: #752368)
    (Courtesy of Helmut Grohne)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 23 Jun 2014 14:36:00 +0200

db5.3 (5.3.28-3) unstable; urgency=low

  * Reduce duplicate static libraries in libdb5.3{++,-sql,-stl,-tcl}-dev

 -- Ondřej Surý <ondrej@debian.org>  Mon, 28 Oct 2013 09:17:57 +0100

db5.3 (5.3.28-2) unstable; urgency=low

  * Enable GCJ native arch on all architectures again

 -- Ondřej Surý <ondrej@debian.org>  Sun, 27 Oct 2013 19:12:28 +0100

db5.3 (5.3.28-1) unstable; urgency=low

  [ Ondřej Surý ]
  * Install only build_signature_$(ARCH).txt to $(ARCH) package (Closes: #720029)
  * Add watch file for 5.3.x release
  * New upstream version 5.3.28
  * Update patches for 5.3.28 release

 -- Ondřej Surý <ondrej@debian.org>  Sun, 27 Oct 2013 14:38:30 +0100

db5.3 (5.3.21-2) unstable; urgency=low

  * Add myself to uploaders.
  * Use /usr/share/dpkg/architecture.mk

  Apply changes from Ubuntu packaging:
  * debian/patches/link-sql-libs: Add new patch to fix FTBFS due to
    missing -ldl link on libdb_sql-5.1.
  * Search for tcl in the multiarch location, conditionally.
  * Enable historic dbm interface. Thanks Wookey. (LP: #1126392)
  * Cross building fixes (LP: #1105368):
    - do not run tests when crossbuilding, when nocheck is enabled or stage1.
    - do not check db_signature in stage1 build.
    - comment that tcl:native is needed for cross-builds.
  * Really clean the build directory.
  * Use the autotools-dev dh addon, so that we update all the
    config.guess/config.sub copies rather than just the one in dist/.
  * Introduce a stage1 build to skip the java and the tcl bindings.

 -- Dmitrijs Ledkovs <xnox@debian.org>  Thu, 15 Aug 2013 14:21:00 +0100

db5.3 (5.3.21-1) unstable; urgency=low

  * Imported Upstream version 5.3.21
  * Ensure backwards compatible Java bytecode is built (Closes: #688192)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 04 Mar 2013 15:02:20 +0100

db5.3 (5.3.15-4) unstable; urgency=low

  * Suggests instead of Recommends for libdb5.3-java-gcj
  * Explicitly depend on debhelper (>= 9)
  * Split libdb5.3-java to arch independent libdb5.3-java and move JNI
    libraries to libdb5.3-java-jni (Closes: #669992)
  * Fix E: db source: not-binnmuable-any-depends-all libdb5.1-java-dev -
    > libdb5.1-java and W: db source: out-of-date-standards-version
    3.9.2 (current is 3.9.3)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 11 May 2012 14:22:34 +0200

db5.3 (5.3.15-3) unstable; urgency=low

  * Configure to enable the historic dbm interface.

 -- Ondřej Surý <ondrej@debian.org>  Fri, 11 May 2012 14:21:30 +0200

db5.3 (5.3.15-2) unstable; urgency=low

  * Update description for version 5.3
  * Fix missing conflicts with db5.1 and db5.2
    (Closes: #656725, #656726, #656727)

 -- Ondřej Surý <ondrej@debian.org>  Sat, 21 Jan 2012 14:29:58 +0100

db5.3 (5.3.15-1) unstable; urgency=low

  * Imported Upstream version 5.3.15
  * Prepare db5.3 release
  * Run all tests in the TCL suite
  * s/sqlite/sqlite3/ in description of db5.3_sql
  * Bump versioned symbols to DB5_3
  * Update patches for new release
  * Update saved db_signature on amd64
  * Update lintian-overrides to not include dates for config.{sub,guess}

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 Jan 2012 18:28:06 +0100

db5.2 (5.2.36-1) experimental; urgency=low

  * Imported Upstream version 5.2.36
  * Adapt debian/ directory from db5.1 to db5.2
  * Update Vcs-* links to db5.2
  * Add git-buildpackage configuration
  * Drop 001-documentation_update.patch; fixed upstream
  * Refresh patches to the new release
  * Do a double build and --disable-test for production version
    of Berkeley DB libraries (as recommended by upstream)
  * Update saved region environment signature to match production
    version
  * Update source.lintian-overrides to match source name

 -- Ondřej Surý <ondrej@debian.org>  Fri, 23 Sep 2011 13:39:02 +0200

db (5.1.25-11) unstable; urgency=low

  * Disable libdb5.1-java-gcj on sh4 (Closes: #623980)
  * Add code to compare built-in signature to prevent future bugs
    like #625484
  * Print built-in signature to the build log
  * Update Vcs-* links
  * Apply MultiArch patch (Courtesy of Steve Langasek) (Closes: #631318)
  * Update db_signature linking to MultiArch libraries
  * Add lintian-override for (not)embedded sqlite in MultiArch
  * Generated db_signature is different on each arch
    + Only generate the signature if we don't have it (first pass)
  * Install build_signature_$(ARCH).txt to libdb5.1 package
    + This will allow to add all correct signatures in next upload

 -- Ondřej Surý <ondrej@debian.org>  Tue, 28 Jun 2011 14:26:40 +0200

db (5.1.25-10) unstable; urgency=low

  * Drop dependency on ca-certificates-java, it didn't work for non
    openjdk platforms anyway

 -- Ondřej Surý <ondrej@debian.org>  Sun, 24 Apr 2011 22:24:00 +0200

db (5.1.25-9) unstable; urgency=low

  * Fix HOST vs BUILD variables (Closes: #623543)
  * Rewrite debian/rules to use ENABLE_JAVA and ENABLE_GCJ
  * Enable Java on mips again
  * Move db5.1-sql util to separate package to prevent db5.1-util
    dependency on lidb5.1-sql library
  * Build-depends on ca-certificates-java (>> 20100412)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 22 Apr 2011 14:30:22 +0200

db (5.1.25-8) unstable; urgency=low

  * Disable Java build on mips to fix FTBS

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2011 15:22:27 +0200

db (5.1.25-7) unstable; urgency=low

  * Revert to upstream JAR name -> db.jar

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2011 08:51:57 +0200

db (5.1.25-6) unstable; urgency=low

  * Enable Java support on every Debian architecture
  * Debian packaging:
    + Add javahelper addon for debhelper
    + Change DEB_HOST_ARCH to DEB_BUILD_ARCH
    + Keep -Ddist -Bbuild to overridden dh_auto_ commands to fix
      javahelper breakage
    + Fix typo and set GCJ CFLAGS out of the condition
    + Only rename db.jar to libdb5.1.jar and rest let to jh_installlibs
    + Change --fail-missing to --list-missing
    + Move dh_nativejava after jh_installibs

 -- Ondřej Surý <ondrej@debian.org>  Thu, 21 Apr 2011 00:21:34 +0200

db (5.1.25-5) unstable; urgency=low

  * Fix FTBFS when buildd directory is named db_<version>

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Apr 2011 18:18:01 +0200

db (5.1.25-4) unstable; urgency=low

  * Add debug info for all libraries
  * Fix FTBFS on freebsd-{amd64,i386} (Thanks Matthias Klose)
    (Closes: #621878)
  * Fix lintian warnings and errors:
    + Update default java build dependencies
    + Tighten Java libraries dependencies
    + Fix errors in db5.1_load.1 manpage
  * Debian packaging:
    + Convert package build system to debhelper with overrides
    + Move debian/rules to debhelper
    + Remove some obsolete Conflicts
    + Add ${misc:Depends} since we build depend on debhelper now
    + Use tcltk-defaults command for tcl dependencies
      (Closes: #606065)
    + Use dh_nativejava debhelper command
    + Move upstream source changes to quilt patches
  * Add lintian-overrides for:
    + ancient-autotools-helper-file,ancient-libtool: odbc/jdbc is not used
    + package-name-doesnt-match-sonames: historical reasons
    + sqlite3 embedded-library: db5.1-sql provides sqlite3 ABI

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Apr 2011 14:07:51 +0200

db (5.1.25-3) unstable; urgency=low

  * Add conflicts with previous -dev packages (Closes: #622711)
  * Fix Berkeley DB Debian Group email address
  * Remove .la files from the packages (Closes: #621303)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 19 Apr 2011 15:31:30 +0200

db (5.1.25-2) unstable; urgency=low

  * Adopt the package (Closes: #619907)
  * Build-depend on Debian default tcl-dev
  * Move libdb-java, libdb-java-dev and libdb++-dev to empty packages
    built from db-defaults

 -- Ondřej Surý <ondrej@debian.org>  Wed, 13 Apr 2011 21:59:34 +0200

db (5.1.25-1) unstable; urgency=low

  * New upstream version.
  * Orphan the package.

 -- Clint Adams <clint@debian.org>  Thu, 10 Feb 2011 19:24:27 -0500

db (5.1.19-3) unstable; urgency=low

  [ Thorsten Glaser ]
  * Fix manpage-has-errors-from-man lintian warning
  * Add db4.7_codegen(1) from db4.7 (4.7.25-12), renamed appropriately
  * Correct db5.1-util override disparity
  * Use mktemp -t not --tmpdir to be backportable. (Closes: #584934)
  * Mark testsuite failures non-fatal on Hurd

  [ Clint Adams ]
  * Forward-ported Steve Langasek's cross-compilation patch from db4.8.
  * Re-enable Java package on armel.

 -- Clint Adams <clint@gnu.org>  Tue, 01 Feb 2011 18:21:19 -0500

db (5.1.19-2) unstable; urgency=low

  * Remove ancient Conflicts.
  * Add Conflicts for libdb5.0-dev and libdb5.0-tcl just in case.
    closes: #602363.

 -- Clint Adams <clint@gnu.org>  Sun, 05 Dec 2010 15:14:08 -0500

db (5.1.19-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <schizo@debian.org>  Mon, 20 Sep 2010 21:03:09 -0400

db (5.0.26-3) unstable; urgency=low

  * Patch from Aurelien Jarno to avoid following javac symlinks to
    ultimately avoid failing to equate
    /usr/lib/jvm/default-java/bin/../../../.. to /usr when using
    GCJ.  closes: #594816.

 -- Clint Adams <schizo@debian.org>  Mon, 30 Aug 2010 19:18:11 -0400

db (5.0.26-2) unstable; urgency=low

  * Version initialized data symbols as well, since they are occurring
    on mips for some reason.
  * Bump to Standards-Version 3.9.1.

 -- Clint Adams <schizo@debian.org>  Sun, 29 Aug 2010 20:04:12 -0400

db (5.0.26-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards Version 3.9.0.

 -- Clint Adams <schizo@debian.org>  Sat, 10 Jul 2010 12:37:46 -0400

db (5.0.21-2) unstable; urgency=low

  * Force POSIX mutexes on avr32.

 -- Clint Adams <schizo@debian.org>  Wed, 21 Apr 2010 13:54:50 -0400

db (5.0.21-1) unstable; urgency=low

  * New upstream version.
  * Bump to Standards-Version 3.8.4.
  * Tweak symbol versioning hack to hack around db5.0 weirdness.
  * Add libdb5.0-{sql,stl}{,-dev} packages.

 -- Clint Adams <schizo@debian.org>  Sun, 04 Apr 2010 09:37:47 -0400

db (4.8.26-2) unstable; urgency=low

  * Tweaked patch from Rafael Almeida to fix misnamed DB_CURSOR_BULK
    flag in C/C++ API documentation.  closes: #574467.
  * Add avr32 as unsupported for Java.  closes: #575138.
  * Rewrite db4.8-doc long description.  closes: #550106.
  * Add Java support for alpha.  closes: #541612.

 -- Clint Adams <schizo@debian.org>  Thu, 25 Mar 2010 08:23:14 -0400

db (4.8.26-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <schizo@debian.org>  Tue, 29 Dec 2009 15:26:27 -0500

db (4.8.24-2) unstable; urgency=low

  * Fix typo in description of libdb4.8-java-gcj.
  * db4.8_load.1: fix typo of "keyword", thanks to "sobtwmxt".
    closes: #551457.
  * Clarify db4.8_load(1) title.  closes: #557568.
  * Fix -java-gcj package build for gcj-4.4.  closes: #558334.
  * Switch to 3.0 (quilt) source format.

 -- Clint Adams <schizo@debian.org>  Wed, 16 Dec 2009 22:43:58 -0500

db (4.8.24-1) unstable; urgency=low

  * New upstream version.
    - RPC support has been dropped.
  * Bump to Standards-Version 3.8.3.
  * Force POSIX/pthreads/library mutexes on amd64.  closes: #520926.

 -- Clint Adams <schizo@debian.org>  Tue, 15 Sep 2009 00:13:05 -0400

db (4.7.25-7) unstable; urgency=low

  * Apply upstream patch 4.7.25.4: [#16299] Fix a bug which could cause
    a SEGV in __repmgr_available_site if a site becomes master after
    winning an election but is still processing client messages.
  * Bump to Standards-Version 3.8.2.
  * Move libdb4.7-dbg to section 'debug', priority 'extra'.
  * Move libdb4.7-java and libdb4.7-java-gcj to section 'java'.
  * Move libdb4.7-java-dev to section 'libdevel'.
  * Remove libdb4.7++'s relations with itself.
  * Run ldconfig in library package postinsts.

 -- Clint Adams <schizo@debian.org>  Sun, 21 Jun 2009 15:22:37 -0400

db (4.7.25-6) unstable; urgency=low

  * Apply upstream patch 4.7.25.2: [#16415] DB_ENV->lock_get may self
    deadlock if user defined locks are used and there is only one lock
    partition defined.
  * Apply upstream patch 4.7.25.3: [#16541] Fix for dd segfaults.

 -- Clint Adams <schizo@debian.org>  Tue, 30 Dec 2008 19:47:43 -0500

db (4.7.25-5) unstable; urgency=low

  * Apply upstream patch 4.7.25.1: [#16406] Replication clients should
    be able to open a sequence.

 -- Clint Adams <schizo@debian.org>  Sat, 04 Oct 2008 13:29:59 -0400

db (4.7.25-4) unstable; urgency=medium

  * Make testsuite failures critical on both arm and sparc again.
  * Patch from Ben Hutchings to double the inter-process delay in test
    Env012.b.
  * Patch from Ben Hutchings to fix encrypted databases being unusable
    on ARM due to unexpected structure padding.  closes: #437742.
  * Force 8-byte mutex alignment on sparc.  closes: #498455.

 -- Clint Adams <schizo@debian.org>  Wed, 10 Sep 2008 07:48:07 -0400

db (4.7.25-3) unstable; urgency=low

  * Add more conflicts to libdb4.7-dev.  closes: #486318.

 -- Clint Adams <schizo@debian.org>  Sun, 15 Jun 2008 09:50:46 -0400

db (4.7.25-2) unstable; urgency=low

  * Rename libdb-dev to libdb4.7-dev.

 -- Clint Adams <schizo@debian.org>  Thu, 12 Jun 2008 20:56:51 -0400

db (4.7.25-1) unstable; urgency=low

  * New upstream version 4.7.25.
  * Adjust packaging for 4.7.
  * Bump to Standards-Version 3.8.0.

 -- Clint Adams <schizo@debian.org>  Thu, 29 May 2008 22:09:39 -0400

db (4.6.21-8) unstable; urgency=high

  * Change Tcl build dependency to tcl8.5-dev.
  * Change Java architectures to everything but alpha, arm, hppa, hurd-
    i386, kfreebsd-i386, kfreebsd-amd64, and m32r.  closes: #477855.
  * Switch java build dependency from java-gcj-compat-dev to default-
    jdk-builddep.

 -- Clint Adams <schizo@debian.org>  Thu, 01 May 2008 08:28:24 -0400

db (4.6.21-7) unstable; urgency=medium

  * 4.6.21.1: [#15692] Fixes a race condition between checkpoint and
    DB->close which can result in the checkpoint thread
    self-deadlocking.

 -- Clint Adams <schizo@debian.org>  Wed, 26 Mar 2008 22:51:04 -0400

db (4.6.21-6) unstable; urgency=low

  * Apply patch from Kevin Lindsay to avoid mutex deadlock in memory
    pool set_maxsize. closes: #469602.
  * Add Homepage control field.
  * Add Vcs-Browser and Vcs-Git control fields.
  * Tweak db4.6-util description to describe db4.6_dump more completely.

 -- Clint Adams <schizo@debian.org>  Thu, 06 Mar 2008 08:06:34 -0500

db (4.6.21-5) unstable; urgency=low

  * Bump Standards-Version to 3.7.3.
  * Make libdb4.6-dbg depend on libdb4.6.

 -- Clint Adams <schizo@debian.org>  Wed, 02 Jan 2008 15:44:18 -0500

db (4.6.21-4) unstable; urgency=low

  * Re-enable Java on hppa.

 -- Clint Adams <schizo@debian.org>  Mon, 22 Oct 2007 12:36:02 -0400

db (4.6.21-3) unstable; urgency=low

  * Ship md5sums in each .deb.  closes: #446807.
  * Skip test suite on hppa and m68k, since they are very broken.

 -- Clint Adams <schizo@debian.org>  Mon, 15 Oct 2007 21:14:30 -0400

db (4.6.21-2) unstable; urgency=medium

  * Disable Java packages on hppa, since Java is yet again broken on
    hppa.

 -- Clint Adams <schizo@debian.org>  Mon, 15 Oct 2007 13:18:57 -0400

db (4.6.21-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <schizo@debian.org>  Mon, 08 Oct 2007 22:35:29 -0400

db (4.6.19-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <schizo@debian.org>  Fri, 24 Aug 2007 17:43:26 -0400

db (4.6.18-6) unstable; urgency=low

  * Tolerate testsuite failures on arm, sparc, s390.

 -- Clint Adams <schizo@debian.org>  Thu, 16 Aug 2007 20:46:17 -0400

db (4.6.18-5) unstable; urgency=high

  * Apply patch to fix alignment issues in 32-bit binaries on
    64-bit machines.

 -- Clint Adams <schizo@debian.org>  Tue, 14 Aug 2007 14:43:39 -0400

db (4.6.18-4) unstable; urgency=low

  * Add libdb4.6-dbg package.
  * Fail the build if there are any testsuite failures.

 -- Clint Adams <schizo@debian.org>  Sun, 12 Aug 2007 21:34:16 -0400

db (4.6.18-3) unstable; urgency=low

  * Disable stripping of binaries when DEB_BUILD_OPTIONS contains
    "nostrip".  closes: #436766.

 -- Clint Adams <schizo@debian.org>  Sat, 11 Aug 2007 12:34:38 -0400

db (4.6.18-2) unstable; urgency=medium

  * Forward-port db4.5 changes to build libdb4.6-java-gcj package.
  * Don't build-depend on java-gcj-compat-dev on m32r.
  * Forward-port db4.5 manpage typo fixes to db4.6_load(1).

 -- Clint Adams <schizo@debian.org>  Tue, 07 Aug 2007 20:54:27 -0400

db (4.6.18-1) unstable; urgency=low

  * Initial packaging of Berkeley DB 4.6, under the source package
    name "db".

 -- Clint Adams <schizo@debian.org>  Wed, 25 Jul 2007 20:37:51 +0700
